import * as $dara from '@darabonba/typescript';
export declare class ModifyIdcProbeResponseBody extends $dara.Model {
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 20456DD5-5CBF-5015-9173-12CA4246B***
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
